curl --request PUT \
--url http://investigations.{region}.alienvault.cloud/investigations/v3/investigations/{investigationId}/notes/{noteId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message": "The user must have clicked the wrong button.",
"private": true
}
'{
"_links": {
"self": {
"href": "https://svc.alienvault.cloud/investigations/v3/investigations/2033c597-97d2-49f4-b3b6-c9079d46c0f2/notes/bc1c5197-c195-49a6-b3df-9662b8684dce"
}
},
"id": "bc1c5197-c195-49a6-b3df-9662b8684dce",
"message": "The user must have clicked the wrong button.",
"private": true,
"created": {
"by": "ace@some.mssp.com",
"on": "2018-11-07T17:02:42.981Z"
},
"lastModified": {
"by": "updater@alienvault.com",
"on": "2018-11-07T17:03:02.981Z"
}
}{
"errorId": "<string>",
"message": "<string>",
"variables": [
"<string>"
],
"errorUrl": "<string>"
}Modify a Note
Modifies a note.
curl --request PUT \
--url http://investigations.{region}.alienvault.cloud/investigations/v3/investigations/{investigationId}/notes/{noteId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message": "The user must have clicked the wrong button.",
"private": true
}
'{
"_links": {
"self": {
"href": "https://svc.alienvault.cloud/investigations/v3/investigations/2033c597-97d2-49f4-b3b6-c9079d46c0f2/notes/bc1c5197-c195-49a6-b3df-9662b8684dce"
}
},
"id": "bc1c5197-c195-49a6-b3df-9662b8684dce",
"message": "The user must have clicked the wrong button.",
"private": true,
"created": {
"by": "ace@some.mssp.com",
"on": "2018-11-07T17:02:42.981Z"
},
"lastModified": {
"by": "updater@alienvault.com",
"on": "2018-11-07T17:03:02.981Z"
}
}{
"errorId": "<string>",
"message": "<string>",
"variables": [
"<string>"
],
"errorUrl": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of an investigation.
The unique identifier of a note.
Body
PUT body is the modified note.
Creates a note for an investigation.
Text in a note.
Specifies the visibility of the item. This semantic is only valid when there exists a relationship between a USM Central deployment and a USM Anywhere deployment. When set to true, only the users within the same deployment, USM Central or USM Anywhere, can see the item; the users from the other deployment cannot.
Response
OK
Returns a note.
Show child attributes
Show child attributes
Unique identifier of the resource.
Specifies the visibility of the item. This semantic is only valid when there exists a relationship between a USM Central deployment and a USM Anywhere deployment. When set to true, only the users within the same deployment, USM Central or USM Anywhere, can see the item; the users from the other deployment cannot.
Text in a note.
Specifies when the resource was created and by whom.
Show child attributes
Show child attributes
Specifies when the latest modification was made and by whom.
Show child attributes
Show child attributes